Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  BricsCAD
  Polylinie Knicken LISP

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
  
Gut zu wissen: Hilfreiche Tipps und Tricks aus der Praxis prägnant, und auf den Punkt gebracht für BricsCAD
Autor Thema:  Polylinie Knicken LISP (344 mal gelesen)
patex
Mitglied
Zeichner


Sehen Sie sich das Profil von patex an!   Senden Sie eine Private Message an patex  Schreiben Sie einen Gästebucheintrag für patex

Beiträge: 25
Registriert: 07.08.2017

BricsCAD 2022

erstellt am: 24. Jun. 2022 17:50    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities


knicken.LSP

 
Hallo Freunde

Habe dieses alte LISP gefunden was ermöglicht eine Polylinie zu Knicken,
und der neu generirte Punkt kann sofort neu positioniert werden.

Ist einfach und genial!!!

In AutoCAD funktioniert es einwandfrei!!!
In BricsCAD spinnt es leider....

Kann mir jemand bitte Helfen?

DANKE

------------------
ADT 2006

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

KlaK
Ehrenmitglied V.I.P. h.c.
Dipl. Ing. Vermessung, CAD- und Netz-Admin



Sehen Sie sich das Profil von KlaK an!   Senden Sie eine Private Message an KlaK  Schreiben Sie einen Gästebucheintrag für KlaK

Beiträge: 2566
Registriert: 02.05.2006

BricsCAD V11 - V21 Pro
Visual Basic

erstellt am: 27. Jun. 2022 10:35    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für patex 10 Unities + Antwort hilfreich

Hallo patex,

Gerade mit Bricscad pro V21 getestet - keine Probleme
Was bedeutet bei Dir "spinnt es leider ..." ? Fehlermeldung?
Ist das zu ändernde Objekt wirklich eine Linie bzw. LWPolyline (Liste)? 2D-Polylinien (alter Typ) und 3D-Polylinien  werden nicht behandelt.

Grüße
Klaus  

[Edit]Welche Version verwendest Du? Aktuell wäre V22.2.05 vom 09.06.2022
Evtl. behebt ja ein Update schon das Problem.

[Diese Nachricht wurde von KlaK am 27. Jun. 2022 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

patex
Mitglied
Zeichner


Sehen Sie sich das Profil von patex an!   Senden Sie eine Private Message an patex  Schreiben Sie einen Gästebucheintrag für patex

Beiträge: 25
Registriert: 07.08.2017

BricsCAD 2022

erstellt am: 27. Jun. 2022 11:20    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities


KnickenFehler1.jpg


KnickenFehler2.jpg

 
Guten Morgen und Danke für deine schnelle Antwort =)

Ich benutze BricsCAD V21 und bin eigentlich sehr zufrieden.
Habe Demo von der neuen Version versucht und macht auch Probleme.

1) Beispiel (siehe JPG-Fehler-1)
Wenn ich zb bei ein Quadrat (normale Polylinie) im Uhrzeigersinn immer ein Knick in jeder Seitenlänge generiere,
macht Punkt 4 diesen Fehler. Er knickt nochmal Punkt 1 ????

2) Beispiel (siehe JPG-Fehler-2)
Ein anderer Fehler ist dass er die Grips nicht richtig nimmt!
Er zeigt zwar an zb auf Endpunkt verschieben, klicke OK aber er sorinkt einwenig weck
Punkt 1 + 2 sollten eigentlich genau im Eck sein.


danke 

------------------
ADT 2006

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

KlaK
Ehrenmitglied V.I.P. h.c.
Dipl. Ing. Vermessung, CAD- und Netz-Admin



Sehen Sie sich das Profil von KlaK an!   Senden Sie eine Private Message an KlaK  Schreiben Sie einen Gästebucheintrag für KlaK

Beiträge: 2566
Registriert: 02.05.2006

BricsCAD V11 - V21 Pro
Visual Basic

erstellt am: 27. Jun. 2022 13:16    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für patex 10 Unities + Antwort hilfreich

Hallo Patex,
So leid es mir tut, scheint ein Programmfehler zu sein denn unter Civil 3D 2019 bekomme ich auch falsche Knickpunkte ...
Da müßtest Du Dich an den Entwickler wenden.

Grüße
Klaus  

PS.: Auch die Undo Routine ist höchst ungewöhnlich. Das zuvor existierende Objekt kann nicht wieder hergestellt werden.

[Diese Nachricht wurde von KlaK am 27. Jun. 2022 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

patex
Mitglied
Zeichner


Sehen Sie sich das Profil von patex an!   Senden Sie eine Private Message an patex  Schreiben Sie einen Gästebucheintrag für patex

Beiträge: 25
Registriert: 07.08.2017

BricsCAD 2022

erstellt am: 27. Jun. 2022 14:15    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities


knicken.txt

 
Oje =( leider kenn ich den entwickler nicht...

habe aber den offenen LISP code in einer TXT datei.

Kann uns Jemand hier im Forum diesen Code Lisp ansehen und optimieren?
spendiere gerne ein grosses Bier 


------------------
ADT 2006

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Vino
Mitglied



Sehen Sie sich das Profil von Vino an!   Senden Sie eine Private Message an Vino  Schreiben Sie einen Gästebucheintrag für Vino

Beiträge: 202
Registriert: 24.05.2005

Windows 10
BricsCAD V21-22

erstellt am: 27. Jun. 2022 16:28    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für patex 10 Unities + Antwort hilfreich

Hallo,

1)
Den Weg wie man's mit BricsCAD ohne Zusatzprogramm machen kann kennst du?
Quad aktivieren, nichts auswählen, mit gedrückter [STRG]-Taste über das PL-Segment fahren

2)
Ich hatte dafür (weil ich mich mit der Quad-Bedienung auch erst anfreunden musste) mal ein eigenes Programm geschrieben. Das müsste ich daheim raus suchen.

3)
Um mir den Code anzuschauen fehlt mir derzeit leider die Zeit.

4)
Ich komme aus Bayern.... Die Definition von "ein großes Bier" kann regional sehr unterschiedlich sein ;-)

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

patex
Mitglied
Zeichner


Sehen Sie sich das Profil von patex an!   Senden Sie eine Private Message an patex  Schreiben Sie einen Gästebucheintrag für patex

Beiträge: 25
Registriert: 07.08.2017

BricsCAD 2022

erstellt am: 27. Jun. 2022 17:01    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

OK danke dir für die Tips...

Ich komme aus Südtirol da sind große Bier gleichzustellen wie bei dir 

------------------
ADT 2006

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Vino
Mitglied



Sehen Sie sich das Profil von Vino an!   Senden Sie eine Private Message an Vino  Schreiben Sie einen Gästebucheintrag für Vino

Beiträge: 202
Registriert: 24.05.2005

Windows 10
BricsCAD V21-22

erstellt am: 27. Jun. 2022 17:21    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für patex 10 Unities + Antwort hilfreich

Hi,

Also das wäre meine Version:

Code:
(defun c:addpt (/ select elem kpt elist x y velem vertx lpt)
  (setq select (entsel "\nPolylinie wählen: "))
  (setq elem (car select))
  (setq kpt (cadr select))
  (setq elist (entget elem))
  (cond
    ((= (cdr (assoc 0 elist)) "LWPOLYLINE")
      (setq x 'NIL)
      (setq y 'T)
    )
    ((and (= (cdr (assoc 0 elist)) "POLYLINE") (= (boole 1 (cdr (assoc 70 elist)) 8) 0))
      (command-s "_convertpoly" "_l" elem "")
      (setq x 'T)
      (setq y 'T)
    )
    ('T
      (princ "\nFalsches Objekt gewählt!")
      (setq y 'NIL)
    )
  )
  (if y
    (progn
      (setq velem (vlax-ename->vla-object elem))
      (setq vertx (fix (vlax-curve-getParamAtPoint velem (vlax-curve-getClosestPointTo velem kpt))))
      (setq lpt (vlax-curve-getPointAtParam velem vertx))
      (setq kpt (getpoint "\nNeuen Stützpunkt klicken: " lpt))
      (vla-AddVertex velem (+ vertx 1) kpt)
      (if x
        (command-s "_convertpoly" "_h" elem "")
      )
    )
  )
  (princ)
)

Ist wohl etwas mehr Quick&dirty als dein knicken.lsp und ich selbst nutze es eigentlich nicht mehr, aber es funktioniert (gerade getestet) unter BCAD 21 und 22.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

patex
Mitglied
Zeichner


Sehen Sie sich das Profil von patex an!   Senden Sie eine Private Message an patex  Schreiben Sie einen Gästebucheintrag für patex

Beiträge: 25
Registriert: 07.08.2017

BricsCAD 2022

erstellt am: 27. Jun. 2022 17:33    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

WOW daaankeee ist genau das was ich suchte!!!! megaaaa

OK 2 grosse BIER

bin richtig HAPPY!!!!

danke     

------------------
ADT 2006

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2022 CAD.de | Impressum | Datenschutz